Skip to main content
GET
/
v1
/
integrations
/
{integrationId}
/
auth
List Integration Auth Records
curl --request GET \
  --url https://api.sigmamind.ai/v1/integrations/{integrationId}/auth \
  --header 'X-API-Key: <api-key>'
{
  "data": [
    {
      "authId": "auth-P3kNz7Yv1Qm9",
      "integrationId": "intg-AuUKK371Spr5",
      "authType": "api_key",
      "headers": {},
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "page": 123,
  "size": 123,
  "totalCounts": 123,
  "totalPages": 123,
  "hasNext": true,
  "hasPrevious": true
}

Documentation Index

Fetch the complete documentation index at: https://docs.sigmamind.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-Key
string
header
required

API Key is required in header. You can find it in the settings

Path Parameters

integrationId
string
required

Unique identifier for the integration

Query Parameters

authType
string
page
integer<int32>
default:0
size
integer<int32>
default:10

Response

OK

data
object[]
page
integer<int32>
size
integer<int32>
totalCounts
integer<int64>
totalPages
integer<int32>
hasNext
boolean
hasPrevious
boolean